---@meta

---@class UWBP_ColorPicker_v2_C : UB1ColorPickerWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field B1Image UB1Image
---@field Button_textInput UB1Button
---@field CP4_Color UBorder
---@field CP4_Color_Origin UBorder
---@field CP_ColorPicker_HueSlider UCP_ColorPicker_HueSlider_C
---@field GetMI UImage
---@field StopRaiseEvent boolean
local UWBP_ColorPicker_v2_C = {}

---@param InColor FLinearColor
function UWBP_ColorPicker_v2_C:SetColor(InColor) end
---@return FLinearColor
function UWBP_ColorPicker_v2_C:GetPickerColor() end
---@param GradientColor FLinearColor
UWBP_ColorPicker_v2_C['Set Selector Color'] = function(self, GradientColor) end
---@param InColor FLinearColor
function UWBP_ColorPicker_v2_C:UpdateColor(InColor) end
---@param NewColor FLinearColor
function UWBP_ColorPicker_v2_C:OnColorChanged_Event(NewColor) end
function UWBP_ColorPicker_v2_C:Construct() end
---@param InColor FLinearColor
function UWBP_ColorPicker_v2_C:UpdateOriginalColor(InColor) end
function UWBP_ColorPicker_v2_C:OnMouseCaptureBegin_Event() end
function UWBP_ColorPicker_v2_C:OnMouseCaptureEnd_Event() end
function UWBP_ColorPicker_v2_C:OnBeginChangeColor_Event() end
function UWBP_ColorPicker_v2_C:OnEndChangeColor_Event() end
---@param InColor FLinearColor
function UWBP_ColorPicker_v2_C:UpdateCurrentColor(InColor) end
---@param EntryPoint int32
function UWBP_ColorPicker_v2_C:ExecuteUbergraph_WBP_ColorPicker_v2(EntryPoint) end


